summaryrefslogtreecommitdiffstats
path: root/ubuntu/_base/tdebase/debian/tdm-trinity.preinst
diff options
context:
space:
mode:
authorMichele Calgaro <[email protected]>2019-04-03 23:02:46 +0900
committerMichele Calgaro <[email protected]>2019-04-03 23:02:46 +0900
commitfcad8b8d150fb9f508973e3044a103de74ec3877 (patch)
treeca34a8cf3bfbe08335d40c47863b4901e1d19609 /ubuntu/_base/tdebase/debian/tdm-trinity.preinst
parent5d8ed1fab813d86b04383f7fcf8ab2c994cbea30 (diff)
downloadtde-packaging-fcad8b8d150fb9f508973e3044a103de74ec3877.tar.gz
tde-packaging-fcad8b8d150fb9f508973e3044a103de74ec3877.zip
DEB: use _base folder for a distro instead of specific distros (squeeze and maverick).
Signed-off-by: Michele Calgaro <[email protected]>
Diffstat (limited to 'ubuntu/_base/tdebase/debian/tdm-trinity.preinst')
-rw-r--r--ubuntu/_base/tdebase/debian/tdm-trinity.preinst33
1 files changed, 33 insertions, 0 deletions
diff --git a/ubuntu/_base/tdebase/debian/tdm-trinity.preinst b/ubuntu/_base/tdebase/debian/tdm-trinity.preinst
new file mode 100644
index 000000000..ee6aa00a1
--- /dev/null
+++ b/ubuntu/_base/tdebase/debian/tdm-trinity.preinst
@@ -0,0 +1,33 @@
+#! /bin/sh -e
+
+case "$1" in
+
+ upgrade)
+ # rename kdelogo => tdelogo
+ grep -rl "kdelogo" /etc/trinity/tdm/tdm*rc | tr "\n" "\0" | \
+ xargs -r0 sed -i -e "s|kdelogo|tdelogo|g"
+
+ rm -f /etc/trinity/debian/tdm-update-menu.sh
+ rm -f /etc/trinity/debian/tdm.options
+ rm -f /etc/trinity/tdm/pixmaps/XFree86bw.xpm
+ rm -f /etc/trinity/tdm/pixmaps/XFree86.xpm
+ rm -f /etc/trinity/tdm/Xresources
+ rm -f /etc/menu-methods/tdm
+ ;;
+
+ install)
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+#DEBHELPER#
+
+exit 0